> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Email Templates

> List all email templates with optional filters.

Args:
    template_type: Optional filter by template type.
    locale: Optional filter by locale.
    account_id: Optional filter by account ID.
    enabled: Optional filter by enabled status.

Returns:
    List of email templates matching the filters.



## OpenAPI

````yaml get /api/v1/admin/email/templates
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/admin/email/templates:
    get:
      tags:
        - admin
        - email
        - admin
        - email
      summary: List Email Templates
      description: |-
        List all email templates with optional filters.

        Args:
            template_type: Optional filter by template type.
            locale: Optional filter by locale.
            account_id: Optional filter by account ID.
            enabled: Optional filter by enabled status.

        Returns:
            List of email templates matching the filters.
      operationId: list_email_templates_api_v1_admin_email_templates_get
      parameters:
        - name: template_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Template Type
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Locale
        - name: account_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account Id
        - name: enabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Enabled
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EmailTemplateResponse'
                title: Response List Email Templates Api V1 Admin Email Templates Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EmailTemplateResponse:
      properties:
        id:
          type: string
          title: Id
        account_id:
          type: string
          title: Account Id
        template_type:
          type: string
          title: Template Type
        locale:
          type: string
          title: Locale
        subject:
          type: string
          title: Subject
        html_body:
          type: string
          title: Html Body
        text_body:
          type: string
          title: Text Body
        enabled:
          type: boolean
          title: Enabled
        is_builtin:
          type: boolean
          title: Is Builtin
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - account_id
        - template_type
        - locale
        - subject
        - html_body
        - text_body
        - enabled
        - is_builtin
        - created_at
        - updated_at
      title: EmailTemplateResponse
      description: |-
        Response schema for email template data.

        Attributes:
            id: Template ID (UUID string).
            account_id: Account ID this template belongs to.
            template_type: Template type identifier (e.g., 'email_verification').
            locale: Language/locale code (e.g., 'en', 'es').
            subject: Email subject line with Jinja2 variables.
            html_body: HTML email body with Jinja2 variables.
            text_body: Plain text email body with Jinja2 variables.
            enabled: Whether this template is active.
            is_builtin: Whether this is a built-in system template.
            created_at: Timestamp when the template was created.
            updated_at: Timestamp when the template was last updated.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````